Subject: Re: [Idr] I-D Action: draft-ietf-idr-tunnel-encaps-01.txt

From: Thomas Morin <[email-masked]>
Date: Wed, 4 May 2016 15:30:21 +0200

Hi everyone,

The draft has the following piece of text:

    Note that if none of the TLVs specifies the MPLS tunnel type, a Label
    Switched Path SHOULD NOT be used unless none of the TLVs specifies a
    feasible tunnel.

I think the following addition would do a nice job of explaining the 
designers motivation for adding the MPLS tunnel type:

    Hence, the MPLS encapsulation tunnel type allows to distinguish
    between an advertising node that only supports non-MPLS
    encapsulations and one that supports MPLS and non-MPLS encapsulations.

(minor reword from text posted by John Drake on 2015-11-13 for 
draft-ietf-bess-evpn-overlay but that would now belong to 
draft-ietf-idr-tunnel-encaps)

Best,

-Thomas

> A New Internet-Draft is available from the on-line Internet-Drafts directories.
>   This draft is a work item of the Inter-Domain Routing Working Group of the IETF.
>
>          Title           : The BGP Tunnel Encapsulation Attribute
>          Authors         : Eric C. Rosen
>                            Keyur Patel
>                            Gunter Van de Velde
> 	Filename        : draft-ietf-idr-tunnel-encaps-01.txt
> 	Pages           : 39
> 	Date            : 2015-12-21
>
> Abstract:
>     RFC 5512 defines a BGP Path Attribute known as the "Tunnel
>     Encapsulation Attribute".  This attribute allows one to specify a set
>     of tunnels.  For each such tunnel, the attribute can provide the
>     information needed to create the tunnel and the corresponding
>     encapsulation header.  The attribute can also provide information
>     that aids in choosing whether a particular packet is to be sent
>     through a particular tunnel.  RFC 5512 states that the attribute is
>     only carried in BGP UPDATEs that have the "Encapsulation Subsequent
>     Address Family (Encapsulation SAFI)".  This document deprecates the
>     Encapsulation SAFI (which has never been used), and specifies
>     semantics for the attribute when it is carried in UPDATEs of certain
>     other SAFIs.  This document adds support for additional tunnel types,
>     and allows a remote tunnel endpoint address to be specified for each
>     tunnel.  This document also provides support for specifying fields of
>     any inner or outer encapsulations that may be used by a particular
>     tunnel.
>
>     This document obsoletes RFC 5512.
>
>
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-ietf-idr-tunnel-encaps/
>
> There's also a htmlized version available at:
> https://tools.ietf.org/html/draft-ietf-idr-tunnel-encaps-01
>
> A diff from the previous version is available at:
> https://www.ietf.org/rfcdiff?url2=draft-ietf-idr-tunnel-encaps-01
>
>
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
>
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
>
> _______________________________________________
> Idr mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/idr